package com.mortals.xhx.module.company.model;

import java.util.List;
import com.mortals.xhx.module.company.model.CompanyLabelsEntity;
/**
 * 公司标注查询对象
 *
 * @author zxfei
 * @date 2023-09-19
 */
public class CompanyLabelsQuery extends CompanyLabelsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 标签Id */
    private Long labelIdStart;

    /** 结束 标签Id */
    private Long labelIdEnd;

    /** 增加 标签Id */
    private Long labelIdIncrement;

    /** 标签Id列表 */
    private List <Long> labelIdList;

    /** 标签Id排除列表 */
    private List <Long> labelIdNotList;

    /** 公司名称 */
    private List<String> labelNameList;

    /** 公司名称排除列表 */
    private List <String> labelNameNotList;
    /** 开始 公司Id */
    private Long companyIdStart;

    /** 结束 公司Id */
    private Long companyIdEnd;

    /** 增加 公司Id */
    private Long companyIdIncrement;

    /** 公司Id列表 */
    private List <Long> companyIdList;

    /** 公司Id排除列表 */
    private List <Long> companyIdNotList;

    /** 公司名称 */
    private List<String> companyNameList;

    /** 公司名称排除列表 */
    private List <String> companyNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CompanyLabelsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CompanyLabelsQuery> andConditionList;

    public CompanyLabelsQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 标签Id
     * @return labelIdStart
     */
    public Long getLabelIdStart(){
        return this.labelIdStart;
    }

    /**
     * 设置 开始 标签Id
     * @param labelIdStart
     */
    public void setLabelIdStart(Long labelIdStart){
        this.labelIdStart = labelIdStart;
    }

    /**
     * 获取 结束 标签Id
     * @return $labelIdEnd
     */
    public Long getLabelIdEnd(){
        return this.labelIdEnd;
    }

    /**
     * 设置 结束 标签Id
     * @param labelIdEnd
     */
    public void setLabelIdEnd(Long labelIdEnd){
        this.labelIdEnd = labelIdEnd;
    }

    /**
     * 获取 增加 标签Id
     * @return labelIdIncrement
     */
    public Long getLabelIdIncrement(){
        return this.labelIdIncrement;
    }

    /**
     * 设置 增加 标签Id
     * @param labelIdIncrement
     */
    public void setLabelIdIncrement(Long labelIdIncrement){
        this.labelIdIncrement = labelIdIncrement;
    }

    /**
     * 获取 标签Id
     * @return labelIdList
     */
    public List<Long> getLabelIdList(){
        return this.labelIdList;
    }

    /**
     * 设置 标签Id
     * @param labelIdList
     */
    public void setLabelIdList(List<Long> labelIdList){
        this.labelIdList = labelIdList;
    }

    /**
     * 获取 标签Id
     * @return labelIdNotList
     */
    public List<Long> getLabelIdNotList(){
        return this.labelIdNotList;
    }

    /**
     * 设置 标签Id
     * @param labelIdNotList
     */
    public void setLabelIdNotList(List<Long> labelIdNotList){
        this.labelIdNotList = labelIdNotList;
    }


    /**
     * 获取 公司名称
     * @return labelNameList
     */
    public List<String> getLabelNameList(){
        return this.labelNameList;
    }

    /**
     * 设置 公司名称
     * @param labelNameList
     */
    public void setLabelNameList(List<String> labelNameList){
        this.labelNameList = labelNameList;
    }

    /**
     * 获取 公司名称
     * @return labelNameNotList
     */
    public List<String> getLabelNameNotList(){
        return this.labelNameNotList;
    }

    /**
     * 设置 公司名称
     * @param labelNameNotList
     */
    public void setLabelNameNotList(List<String> labelNameNotList){
        this.labelNameNotList = labelNameNotList;
    }

    /**
     * 获取 开始 公司Id
     * @return companyIdStart
     */
    public Long getCompanyIdStart(){
        return this.companyIdStart;
    }

    /**
     * 设置 开始 公司Id
     * @param companyIdStart
     */
    public void setCompanyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
    }

    /**
     * 获取 结束 公司Id
     * @return $companyIdEnd
     */
    public Long getCompanyIdEnd(){
        return this.companyIdEnd;
    }

    /**
     * 设置 结束 公司Id
     * @param companyIdEnd
     */
    public void setCompanyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
    }

    /**
     * 获取 增加 公司Id
     * @return companyIdIncrement
     */
    public Long getCompanyIdIncrement(){
        return this.companyIdIncrement;
    }

    /**
     * 设置 增加 公司Id
     * @param companyIdIncrement
     */
    public void setCompanyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
    }

    /**
     * 获取 公司Id
     * @return companyIdList
     */
    public List<Long> getCompanyIdList(){
        return this.companyIdList;
    }

    /**
     * 设置 公司Id
     * @param companyIdList
     */
    public void setCompanyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
    }

    /**
     * 获取 公司Id
     * @return companyIdNotList
     */
    public List<Long> getCompanyIdNotList(){
        return this.companyIdNotList;
    }

    /**
     * 设置 公司Id
     * @param companyIdNotList
     */
    public void setCompanyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
    }


    /**
     * 获取 公司名称
     * @return companyNameList
     */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
     * 设置 公司名称
     * @param companyNameList
     */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
     * 获取 公司名称
     * @return companyNameNotList
     */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
     * 设置 公司名称
     * @param companyNameNotList
     */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public CompanyLabelsQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public CompanyLabelsQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public CompanyLabelsQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public CompanyLabelsQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public CompanyLabelsQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public CompanyLabelsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  标签Id
     * @param labelId
     */
    public CompanyLabelsQuery labelId(Long labelId){
        setLabelId(labelId);
        return this;
    }

    /**
     * 设置 开始 标签Id
     * @param labelIdStart
     */
    public CompanyLabelsQuery labelIdStart(Long labelIdStart){
        this.labelIdStart = labelIdStart;
        return this;
    }

    /**
     * 设置 结束 标签Id
     * @param labelIdEnd
     */
    public CompanyLabelsQuery labelIdEnd(Long labelIdEnd){
        this.labelIdEnd = labelIdEnd;
        return this;
    }

    /**
     * 设置 增加 标签Id
     * @param labelIdIncrement
     */
    public CompanyLabelsQuery labelIdIncrement(Long labelIdIncrement){
        this.labelIdIncrement = labelIdIncrement;
        return this;
    }

    /**
     * 设置 标签Id
     * @param labelIdList
     */
    public CompanyLabelsQuery labelIdList(List<Long> labelIdList){
        this.labelIdList = labelIdList;
        return this;
    }

    /**
     * 设置 标签Id
     * @param labelIdNotList
     */
    public CompanyLabelsQuery labelIdNotList(List<Long> labelIdNotList){
        this.labelIdNotList = labelIdNotList;
        return this;
    }


    /**
     * 设置 公司名称
     * @param labelName
     */
    public CompanyLabelsQuery labelName(String labelName){
        setLabelName(labelName);
        return this;
    }

    /**
     * 设置 公司名称
     * @param labelNameList
     */
    public CompanyLabelsQuery labelNameList(List<String> labelNameList){
        this.labelNameList = labelNameList;
        return this;
    }

    /**
     * 设置  公司Id
     * @param companyId
     */
    public CompanyLabelsQuery companyId(Long companyId){
        setCompanyId(companyId);
        return this;
    }

    /**
     * 设置 开始 公司Id
     * @param companyIdStart
     */
    public CompanyLabelsQuery companyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
        return this;
    }

    /**
     * 设置 结束 公司Id
     * @param companyIdEnd
     */
    public CompanyLabelsQuery companyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
        return this;
    }

    /**
     * 设置 增加 公司Id
     * @param companyIdIncrement
     */
    public CompanyLabelsQuery companyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
        return this;
    }

    /**
     * 设置 公司Id
     * @param companyIdList
     */
    public CompanyLabelsQuery companyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
        return this;
    }

    /**
     * 设置 公司Id
     * @param companyIdNotList
     */
    public CompanyLabelsQuery companyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
        return this;
    }


    /**
     * 设置 公司名称
     * @param companyName
     */
    public CompanyLabelsQuery companyName(String companyName){
        setCompanyName(companyName);
        return this;
    }

    /**
     * 设置 公司名称
     * @param companyNameList
     */
    public CompanyLabelsQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public CompanyLabelsQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public CompanyLabelsQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CompanyLabelsQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CompanyLabelsQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CompanyLabelsQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CompanyLabelsQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CompanyLabelsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CompanyLabelsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CompanyLabelsQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CompanyLabelsQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CompanyLabelsQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CompanyLabelsQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CompanyLabelsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CompanyLabelsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CompanyLabelsQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CompanyLabelsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CompanyLabelsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CompanyLabelsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}